# T38_Type_of_msg_data Class Reference

`#include <t38.h>`

List of all members.

## Public Types

enum | Enumerations { e_v21, e_v27_2400, e_v27_4800, e_v29_7200, e_v29_9600, e_v17_7200, e_v17_9600, e_v17_12000, e_v17_14400 }

## Public Member Functions

| T38_Type_of_msg_data (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
T38_Type_of_msg_data & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum T38_Type_of_msg_data::Enumerations

Enumerator:

  e_v21 |
  e_v27_2400 |
  e_v27_4800 |
  e_v29_7200 |
  e_v29_9600 |
  e_v17_7200 |
  e_v17_9600 |
  e_v17_12000 |
  e_v17_14400 |

## Constructor & Destructor Documentation

T38_Type_of_msg_data::T38_Type_of_msg_data | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

T38_Type_of_msg_data& T38_Type_of_msg_data::operator= | ( | unsigned | v | ) |

PObject* T38_Type_of_msg_data::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- t38.h